<div class="bstv-member-details-section">
	<p>
	    <label for="bsteam-designation"><?php _e( "Role", 'team' ); ?></label>
	    <input class="widefat" type="text" name="bsteam-designation" id="bsteam-designation" value="<?php echo esc_attr( get_post_meta( $post->ID, 'bsteam-designation', true ) ); ?>"/>
	</p>
</div>
<h3><?php _e( 'Contact Information','team' ); ?></h3>
<div class="bstv-member-details-section">
<table id="repeatable-fieldset-one" width="100%" class="bstv-sorable-table">
	<thead>
		<tr>
			<td width="3%"></td>
			<td width="45%"></td>
			<td width="42%"></td>
			<td width="10%"></td>
		</tr>
	</thead>
	<tbody>
		<?php
			if ( $contact_info ) {
				?>
					<tr>
						<td></td>

						<td><label>Email</label></td>
						<td><input type="email" placeholder="<?php _e( ' ', 'team' ); ?>" id="email" class="widefat" name="team-content[]" value="<?php if ( !empty( $contact_info[ 0 ][ 'details' ] ) ) echo esc_attr( $contact_info[ 0 ][ 'details' ] ); ?>"/></td>
					</tr>
					<tr>
						<td></td>
						<td><label>Mobile</label></td>
						<td><input type="tel" placeholder="<?php _e( ' ' , 'team' ); ?>" id="mobile" class="widefat" name="team-content[]" value="<?php if ( !empty( $contact_info[ 1 ][ 'details' ] ) ) echo esc_attr( $contact_info[ 1 ][ 'details' ] ); ?>"/></td>

					</tr>
					<tr>
						<td></td>
						<td><label>Telephone</label></td>
						<td><input type="tel" placeholder="<?php _e( ' ', 'team' ); ?>" id="phone" class="widefat" name="team-content[]" value="<?php if ( !empty( $contact_info[ 2 ][ 'details' ] ) ) echo esc_attr( $contact_info[ 2 ][ 'details' ] ); ?>"/></td>

					</tr>
				<?php
			} else { ?>
				<tr>
					<td></td>

					<td><label>Email</label></td>
					<td><input type="email" placeholder="<?php _e( ' ', 'team' ); ?>" id="email" class="widefat" name="team-content[]" value=""/></td>
				</tr>
				<tr>
					<td></td>
					<td><label>Mobile</label></td>
					<td><input type="tel" placeholder="<?php _e( ' ', 'team' ); ?>" id="mobile" class="widefat" name="team-content[]" value=""/></td>

				</tr>
				<tr>
					<td></td>
					<td><label>Telephone</label></td>
					<td><input type="tel" placeholder="<?php _e( ' ', 'team' ); ?>" id="phone" class="widefat" name="team-content[]" value=""/></td>

				</tr>
				<?php
			}
		?>
	</tbody>
</table>
</div>
<h3><?php _e('Social Links','team');?></h3>
<div class="bstv-member-details-section">
<table id="repeatable-fieldset-two" width="100%" class="bstv-sorable-table">
	<thead>
		<tr>
			<td width="3%"></td>
			<td width="45%"><?php _e( 'Social Platform', 'team' ); ?></td>
			<td width="42%"><?php _e( 'Contact Link', 'team' ); ?></td>
			<td width="10%"></td>
		</tr>
	</thead>
	<tbody>
		<?php
			if ( $social_info ) {
				foreach ( $social_info as $field ) { ?>
					<tr>
						<td></td>
						<td>
							<?php $this->select( 'team-icon[]', $icon, $field[ 'gateway' ], __( 'Select Platform', 'team' ), 'widefat bstv-icon-select' ); ?>
						</td>
						<td><input type="text" placeholder="<?php _e( ' ', 'team' ); ?>" class="widefat" name="team-link[]" value="<?php if ( isset( $field[ 'contact_link' ] ) ) echo esc_attr( $field[ 'contact_link' ] ); ?>"/></td>
						<td><a class="button bstv-remove-row" href="#"><img src="<?php echo $this->settings[ 'bstv_plugin_url' ] . 'images/close-item.png'?>"></a></td>
					</tr>
				<?php }
			} else { ?>
				<tr>
					<td></td>
					<td>
						<?php $this->select( 'team-icon[]', $icon, '', __( 'Select Platform', 'team' ),'widefat bstv-icon-select' ); ?>
					</td>
					<td><input type="text" placeholder="<?php _e( ' ', 'team' ); ?>" class="widefat" name="team-link[]" value=""/></td>
					<td><a class="button bstv-remove-row" href="#"><img src="<?php echo $this->settings[ 'bstv_plugin_url' ] . 'images/close-item.png'?>"></a></td>
				</tr>
				<?php
			}
		?>
		<tr class="bstv-empty-row screen-reader-text">
			<td></td>
			<td>
				<?php $this->select( 'team-icon[]', $icon, '', __( 'Select Platform', 'team'),'widefat' ); ?>
			</td>
			<td><input type="text" placeholder="<?php _e( ' ', 'team' ); ?>" class="widefat" name="team-link[]" value=""/></td>
			<td><a class="button bstv-remove-row" href="#"><img src="<?php echo $this->settings[ 'bstv_plugin_url' ] . 'images/close-item.png'?>"></a></td>
		</tr>
	</tbody>
</table>
<p><a class="button bstv-add-row" href="#" data-table="repeatable-fieldset-two"><img src="<?php echo $this->settings[ 'bstv_plugin_url' ] . 'images/add.png'?>"></a></p>
</div>

<div class="wrap">
	<div class="bstv-team-customize">
		<div class="bstv-team-customize-inner">
			<div class="bstv-team-customize-member">
				<div class="bstv-heading-group">
					<h3><?php _e( 'Team', 'team' ); ?></h3>
				</div>
				<div class="bstv-select-members">
					<?php
						if ( $all_teams->have_posts() ): ?>
						<select name="members" id="bstv-members">
							<?php
								echo '<option value="">' . _e( 'Member', 'team' ) . '</option>';
								while( $all_teams->have_posts() ):  $all_teams->the_post();
									$disabled = "";
									if ( in_array( $all_teams->post->ID, $member_team_ids ) )
										$disabled = "disabled";
									echo '<option value="' . $all_teams->post->ID . '" ' . $disabled . '>' . get_the_title() . '</option>';
								endwhile;
								wp_reset_postdata();
							?>
						</select>
						<?php else:
							$addmember = admin_url( 'post-new.php?post_type=bs_team' );
							_e( 'No Teams Added Yet', 'team' );
							//echo '<a href="' . $addmember . '">' . __( "Click Here", 'team' ).'</a>';
							endif;
					?>
				</div>

				<ul class="bstv-members-list-selected">
					<div class="bstv-members-info">No Members</div>
					<script type="text/html" id="tmpl-bstv-member-list">
					   <li data-member-id="{{{data.id}}}" class="">
						<p>{{{data.title}}}</p><span class="bstv-remove-member-to-list" data-member="{{{data.id}}}"><i class="bstv-icon-close"></i></span>
						<input type="hidden" name="memberlist[]" value='{{{data.id}}}'>
						</li>
					</script>
					<?php
						if ( $member_team_ids && sizeof( $member_team_ids ) > 0 ):

		    				if ( $member_teams->have_posts() ):
			        				while( $member_teams->have_posts() ):  $member_teams->the_post(); ?>
			        				   <li data-member-id="<?php echo $member_teams->post->ID; ?>" class="">
			        					<p><?php the_title(); ?></p><span class="bstv-remove-member-to-list" data-member="<?php echo $member_teams->post->ID; ?>"><i class="bstv-icon-close"></i></span>
			        					<input type="hidden" name="memberlist[]" value="<?php echo $member_teams->post->ID; ?>">
			        					</li>
			        				<?php endwhile;
		        					wp_reset_postdata();
		        			endif;
		        			
	    				endif;
					?>

				</ul>
				<input type="hidden" name="old_team_list" value="<?php echo implode( ",", $member_team_ids ); ?>">
			</div>
		</div>
	</div>
</div>
<script type="text/html" id="tmpl-bstv-member-select">
    <div class="bstv-select2-result-repository clearfix">
    	<# if ( data.src ) { #>
    	<img class="bstv-select2-result-repository__avatar" width="31" height="31" src="{{{data.src}}}" />
    	<# } #>
    	<p class="bstv-select2-result-repository__title">{{{data.title}}}</p>
    	<# if ( data.disabled ) { #>
    	<span class="bstv-select2-result-repository__disabled"><img src="<?php echo $this->settings[ 'bstv_plugin_url' ] . 'images/right.png'?>"></span>
    	<# } #>
   </div>
</script>
