<div class="wrap">
	<div class="bstv-team-customize">
		<div class="bstv-team-customize-inner">
			<div class="bstv-team-customize-member">
				<div class="bstv-heading-group">
					<h2 class="bstv-sub-h"><?php _e( 'Team Members', 'team' ); ?></h2>
				</div>
				<div class="bstv-select-members">
					<?php
						if ( $members->have_posts() ): ?>
							<select name="members" id="bstv-members">
								<?php
									echo '<option value="" data-img="'.$defaultimage.'">' . _e( 'Member', 'team' ) . '</option>';
									while( $members->have_posts() ):  $members->the_post();
										$disabled = "";
										if ( in_array( $members->post->ID, $options[ 'memberlist' ] ) )
											$disabled = "disabled";
										echo '<option value="' . $members->post->ID . '" data-img="' . $this->bsteam_view( $members->post->ID, 'thumbnail' ) . '" ' . $disabled . '>' . get_the_title() . '</option>';
									endwhile;
									wp_reset_postdata();
								?>
							</select>
						<?php else:
							$addmember = admin_url( 'post-new.php?post_type=bs_team_member' );
							_e( 'No Team Members Added Yet', 'team' );
							//echo '<a href="' . $addmember . '">' . __( "Click Here", 'team' ) . '</a>';
						endif;
					?>
				</div>
				<ul class="bstv-members-list-selected">
					<div class="bstv-members-info">No Members</div>
					<script type="text/html" id="tmpl-bstv-member-list">
					   <li data-member-id="{{{data.id}}}" class="">
						<img width="31" height="31" src="{{{data.src}}}"/>
						<p>{{{data.title}}}</p><span class="bstv-remove-member-to-list" data-member="{{{data.id}}}"><i class="bstv-icon-close"></i></span>
						<input type="hidden" name="memberlist[]" value='{{{data.id}}}'>
						</li>
					</script>
					<?php
						if ( $options[ 'memberlist' ] ):
							$teamargs = array(

	   						'orderby' => 'post__in',
	      					'post_type' => 'bs_team_member',
	      					'post__in' => $options['memberlist'],
	      					'posts_per_page' => -1,

	  						);
							$team = new WP_Query( $teamargs );
							if ( $team->have_posts() ):
		        				while( $team->have_posts() ):  $team->the_post(); ?>
		        					<li data-member-id="<?php echo $team->post->ID; ?>" class="">
		        					<img width="31" height="31" src="<?php echo $this->bsteam_view( $team->post->ID, 'thumbnail' );?>"/>
		        					<p><?php the_title();?></p><span class="bstv-remove-member-to-list" data-member="<?php echo $team->post->ID; ?>"><i class="bstv-icon-close"></i></span>
		        					<input type="hidden" name="memberlist[]" value="<?php echo $team->post->ID; ?>">
		        					</li>
		        				<?php endwhile;
	        					wp_reset_postdata();
	        				endif;
	    				endif;
					?>
				</ul>
			</div>
			<div class="bstv-team-customize-style">
				<div class="bstv-heading-group">
					<h2 class="bstv-sub-h"><?php echo __( 'Layout Settings', 'team' ); ?></h2>
				</div>
				<div class="bstv-section bstv-clearfix">
					<input class="bstv-radio-hidden" id="rad-cards" data-style="4" data-column="1" name="team-style" value="cards" checked>
					<div class="bstv-row">
						<div class="bstv-col-4 bstv-columns-wrap">
							<label class="bstv-customize"><?php echo __( 'Number of Columns', 'team' ); ?></label>
							<?php
								$columns = array( '2'=>'2 Columns','3'=>'3 Columns','4'=>'4 Columns', );
								$this->select( 'columns', $columns, $options[ 'columns' ], '', "bstv-select-default dyn-sel bstv-columns bstv-customize", 'key' );
							?>
						</div>
					</div>

					<div class="bstv-row">
						<div class="bstv-col-4 bstv-columns-wrap">
							<label class="bstv-customize"><?php echo __( 'Foreground Color', 'team' ); ?></label>
							<?php
								$font_color = array();
								$font = $this->fontcolor( 'font_color', $font_color, $options[ 'font_color' ], "bstv-select-default dyn-sel bstv-columns bstv-customize" );
							?>
						</div>
					</div>

					<div class="bstv-row">
						<div class="bstv-col-4 bstv-columns-wrap">
							<label class="bstv-customize"><?php echo __( 'Background Color', 'team' ); ?></label>
							<?php
								$back_color = array();
								$back = $this->backcolor( 'back_color', $back_color, $options[ 'back_color' ], "bstv-select-default dyn-sel bstv-columns bstv-customize" );
							?>
						</div>
					</div>

					<div class="bstv-row">
						<div class="bstv-col-4 bstv-columns-wrap">
							<label class="bstv-customize"><?php echo __( 'Profile Image Shape', 'team' ); ?></label>
							<?php
								$shape = array( 'square'=>'Square', 'round'=>'Round', 'rounded-corner'=>'Rounded Corner', );
								$this->select( 'shape', $shape, $options[ 'shape' ], '', "bstv-select-default dyn-sel bstv-columns bstv-customize", 'key');
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/html" id="tmpl-bstv-member-select">
    <div class="bstv-select2-result-repository clearfix">
    	<# if ( data.src ) { #>
    	<img class="bstv-select2-result-repository__avatar" width="31" height="31" src="{{{data.src}}}" />
    	<# } #>
    	<p class="bstv-select2-result-repository__title">{{{data.title}}}</p>
    	<# if ( data.disabled ) { #>
    	<span class="bstv-select2-result-repository__disabled"><img src="<?php echo $this->settings[ 'bstv_plugin_url' ] . 'images/right.png'?>"></span>
    	<# } #>
   </div>
</script>

