<?php

	$flip = false;
	$flipclass = array( "bstv-figcaption" );

?>
<div id="<?php echo $this->bsteam_id( array( 'team', $id ) ); ?>" class="bstv-grid-wrapper">
	<?php if ( $team->have_posts() ): ?>
		<div class="bstv-grid <?php echo $this->bsteam_view_style( $options ); ?>">
		<?php

			$class_color = $this->bsteam_view_style( $options );
			$blank = explode( " ", $class_color );
			$font_code = explode( "-", $blank[ 4 ] );
			$back_code = explode( "-", $blank[ 5 ] );
			$font_color = $font_code[ 2 ];
			$back_color = $back_code[ 2 ];
			$i = 1;

			while ( $team->have_posts() ): $team->the_post();
    		$teamdata = $this->view_option( 'bs_team_member', $team->post->ID ); ?>
				<div id="<?php echo $this->bsteam_id( array( 'bs-member', $id,$team->post->ID ) ); ?>" class="bstv-grid-card">
				   <figure>
				      	<?php $this->bsteam_check( '<div class="bstv-flip-front">', $flip ); ?>
				      	<div class="bstv-member-pic" name="bstv-member-figures">
				        	<img src="<?php echo $this->bsteam_view( $team->post->ID ); ?>" alt="<?php the_title(); ?>" id="img<?php echo $i; ?>">
				        </div>
				        <?php $this->bsteam_check( '</div>', $flip );?>
				        <figcaption class="<?php echo $this->bsteam_class( $flipclass ); ?>">
				         	<?php
				         		$this->bsteam_check( '<div class="bstv-flip-back-inner">', $flip );
				         	?>
				            <div class="bstv-personal-info">
				               <h3><?php the_title(); ?></h3>
				               <span><?php echo $teamdata[ 'bsteam-designation' ]; ?></span>
				            </div>
				            <?php $this->bsteam_check( '</div><!-- .bstv-flip-back-inner -->', $flip ); ?>
				        </figcaption>
				   </figure>
				   <div class="bstv-modal bstv-member-profile" name="bstv-modal_figures" id="member<?php echo $i; ?>">
				    	<span class="close btn btn-close" >&times;</span>
				    	<div class="bstv-profile-head">
				    		<h1><?php the_title(); ?></h1>
						    <h4><?php echo $teamdata[ 'bsteam-designation' ]; ?></h4>
				    	</div>
						<div class="bstv-profile-pic">
							<img src="<?php echo $this->bsteam_view( $team->post->ID );?>" alt="<?php the_title(); ?>" id="pop_img<?php echo $i; ?>">
						</div>
						<div class="bstv-profile-details">
						    <p>
							    <?php
							    	the_content();
								?>
							</p>
						</div>
						<div class="bstv-profile-foot">
			                <?php

							    // Include External Setup
							    include( $this->settings[ 'bstv_plugin_path' ] . 'includes/media.php' );

							?>
			            </div>
					</div>
				</div>
				<script type="text/javascript">
		         	var index = <?php echo $i; ?>;
		         	var measure = jQuery( '#img'+index ).width()+"px";
					jQuery( '#img'+index ).css( 'height', measure );
					var pop_image_fix_size = "500px";
					// jQuery( '#pop_img'+index ).css( { 'height': pop_image_fix_size, 'width': pop_image_fix_size } );
					jQuery( '#pop_img'+index ).css( { 'width': pop_image_fix_size } );
		        </script>
			<?php $i++; endwhile; wp_reset_postdata();?>
		</div>
	<?php endif;?>
</div>

<script type="text/javascript">

	var win_height = jQuery( window ).height();
	var win_width = jQuery( window ).width();

	( function( $ ) {

		$( 'figure' ).on( 'click', function( e ) {

			$( 'div[ name=bstv-modal_figures ]' ).css( { 'display':'none' } ); // for closing of already open member profile

			var id= $( this ).next();

			id.css( { 'display':'block' } );

			var pop_height = id.height();
			var pop_width = id.width();

			var height_pos = ( win_height / 2 ) - ( pop_height / 2 );
			var width_pos = ( win_width / 2 ) - ( pop_width / 2 );

			$( '.bstv-modal' ).css( 'left', width_pos );
			$( '.bstv-modal' ).css( 'top', height_pos );

	    } );

	    $( '.btn-close' ).hover( function() {

		    $( '.btn-close' ).css( 'color', '#000' );

		    }, function() {

   				$( '.btn-close' ).css( 'color', '<?php echo $font_color; ?>' );

			}

		);

		$( '.btn-close' ).click( function() {

			$( this ).parent().css( { 'display':'none' } );
		
		} );

		var font = '<?php echo $font_color; ?>';
		$( '.bstv-profile-head > h1' ).css('color', font);
		$( '.bstv-profile-head > h4' ).css('color', font);
		$( '.bstv-profile-foot > address' ).css('color', font);
		$( '.btn-close' ).css('color', font);

		var background = '<?php echo $back_color; ?>';
		$( '.bstv-profile-head' ).css('background-color', background);
		$( '.bstv-profile-foot' ).css('background-color', background);

	} )( jQuery );

</script>
